org.apache.cassandra.exceptions

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException
        - - org.apache.cassandra.exceptions.RequestValidationException
          - - org.apache.cassandra.exceptions.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable, TransportException

Direct Known Subclasses:
  AlreadyExistsException

    public class ConfigurationException
    extends RequestValidationException

See Also:
  Serialized Form

### Field Summary

Fields
`boolean` `logStackTrace`

### Constructor Summary

Constructors
`protected` `ConfigurationException(ExceptionCode code, java.lang.String msg)`
`` `ConfigurationException(java.lang.String msg)`
`` `ConfigurationException(java.lang.String msg, boolean logStackTrace)`
`` `ConfigurationException(java.lang.String msg, java.lang.Throwable e)`

### Method Summary

### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

`code`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

`getMessage`

### Field Detail

#### logStackTrace

    public final boolean logStackTrace

### Constructor Detail

#### ConfigurationException

    public ConfigurationException(java.lang.String msg)

#### ConfigurationException

    public ConfigurationException(java.lang.String msg,
                                  boolean logStackTrace)

#### ConfigurationException

    public ConfigurationException(java.lang.String msg,
                                  java.lang.Throwable e)

#### ConfigurationException

    protected ConfigurationException(ExceptionCode code,
                                     java.lang.String msg)